Opened 6 years ago

Closed 6 years ago

#42816 closed defect (fixed)

gnome-vfs requires Perl's XML::Parser at build time

Reported by: gallafent Owned by: dbevans (David B. Evans)
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: Cc:
Port: gnome-vfs

Description

Fragment from main.log:

:info:configure checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

Installing the package p5.12-xml-parser (for perl 5.12) allows the build to proceed.

Change History (2)

comment:1 Changed 6 years ago by dbevans (David B. Evans)

Owner: changed from macports-tickets@… to devans@…
Status: newassigned

This is because the perl5 variant for intltool (default is now +perl5_16) doesn't match that of perl5 (+perl5_12 in your case). The problem is due to a known intltool configuration problem (in gnome-vfs is this case) that has been made more visible by the change in perl5 default variant to +perl5_16. Another work around would be to install perl5 +perl5_16.

svn commit support is currently down but I'll commit a fix of the underlying problem for gnome-vfs as soon as it is back up and running.

Thanks for your report.

comment:2 Changed 6 years ago by dbevans (David B. Evans)

Resolution: fixed
Status: assignedclosed

Fix committed in r117771.

Note: See TracTickets for help on using tickets.